<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE device SYSTEM "hpzsclhn.dtd">

<device>
  <software>
    <file_header>
      <file_name>hpc1220p.xml</file_name>
         <file_version>051.2410</file_version>
         <file_timestamp>03/14/2005</file_timestamp>
    </file_header>
    <component>
      <name>Mombi</name>
      <helper>
        <name></name><!--   put a name if we have multiple helpers  -->
        <events><!--   =========================================   --><!--               DMCInstallTime                  --><!--    called during DMC Install Time (Import)    --><!--   =========================================   -->
          <event>
            <name>DMCInstallTime</name>
            <macro_name>macro_PrintQualityImport</macro_name>
          </event><!--   =========================================   --><!--               DMCUpgradeTime                  --><!--    called during DMC Upgrade Time (Export)    --><!--   =========================================   -->
          <event>
            <name>DMCUpgradeTime</name>
            <macro_name>macro_PrintQualityExport</macro_name>
          </event>
        </events>
        <features><!--   =========================================   --><!--                   MediaType                   --><!--   =========================================   -->
          <feature>
            <name>MediaType</name>
            <macro_name>macro_MediaType</macro_name>
          </feature><!--   =========================================   --><!--                   Print Quality Group         --><!--   =========================================   -->
          <feature>
            <name>PrintQualityGroup</name>
            <macro_name>macro_PrintQualityGroup</macro_name>
            <disable>PrintQualityGroup</disable>
          </feature>
        </features>
        <macros><!--   =========================================   --><!--                   MediaType                   --><!--   =========================================   -->
          <macro>
            <name>macro_MediaType</name>
            <call>macro_PrintQuality</call>
          </macro><!--   =========================================   --><!--                   Print Quality Group         --><!--                                               --><!--   Print Quality options have single level     --><!--   association only                            --><!--   =========================================   -->
          <macro>
            <name>macro_PrintQualityGroup</name>
            <switch>
              <name>PrintQualityGroup</name>
              <case>
                <name>PQGroup_1</name>
                <select_option>Resolution.600dpi</select_option>
                <select_option>PrintQualityGroup.PQGroup_1</select_option>
              </case>
              <case>
                <name>PQGroup_2</name>
                <select_option>Resolution.300dpi</select_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
			  <case>
                <name>PQGroup_3</name>
                <select_option>Resolution.1200dpi</select_option>
                <select_option>PrintQualityGroup.PQGroup_2</select_option>
              </case>
            </switch>
          </macro><!--   =========================================   --><!--      Print Quality Import                     --><!--     Mapping is as follows                     --><!--     (a) Normal  - PQGroup_1                   --><!--                                               --><!--   Print Quality options have single level     --><!--   association only                            --><!--   =========================================   -->
          <macro>
            <name>macro_PrintQualityImport</name>
            <switch>
              <name>PrintQualityImport</name>
              <case>
                <name>600</name>
                <map_option>PQGroup_1</map_option>
              </case>
              <case>
                <name>300</name>
                <map_option>PQGroup_2</map_option>
              </case>
			  <case>
                <name>1200</name>
                <map_option>PQGroup_3</map_option>
              </case>
            </switch>
            <call>macro_PrintQualityGroup</call>
          </macro><!--   =========================================   --><!--      Print Quality Export                     --><!--     Mapping is as follows                     --><!--     (a) Normal  - PQGroup_1                   --><!--                                               --><!--   Print Quality options have single level     --><!--   association only                            --><!--   =========================================   -->
          <macro>
            <name>macro_PrintQualityExport</name>
            <switch>
              <name>PrintQualityExport</name>
              <case>
                <name>PQGroup_1</name>
                <unmap_option>600</unmap_option>
              </case>
              <case>
                <name>PQGroup_2</name>
                <unmap_option>300</unmap_option>
              </case>
			  <case>
                <name>PQGroup_3</name>
                <unmap_option>1200</unmap_option>
              </case>
			 </switch>
          </macro>
        </macros>
        <presets>
            <presetenglish>
              <name>Default Print Settings</name> 
              <resource_id>3041</resource_id> 
              <setting>PrintQualityGroup.PQGroup_3</setting> 
            </presetenglish>
            <presetenglish>
             <name>User Guide Print Settings</name>
             <resource_id>3042</resource_id>
             <setting>PrintQualityGroup.PQGroup_1</setting> 
             <setting>NUpChoice.TwoUp</setting> 
             <setting>NupPageOrderChoice.RightThenDown</setting>
             <setting>FlipPagesUp.True</setting>
          </presetenglish>
          </presets>	
      </helper>
    </component>
  </software>
</device>